cURL
curl --request POST \
--url https://gateway.7exchange.io/ipg/1.0.0/payment/pay-3d-secure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'organizationId: <organizationid>' \
--header 'tenantId: <tenantid>' \
--header 'walletId: <walletid>' \
--data '
{
"amount": 123,
"currency": "<string>",
"merchantTransactionId": "<string>",
"customerId": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"orderDescriptor": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"terminalId": "<string>",
"merchantRedirectUrl": "<string>",
"notificationUrl": "<string>",
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>",
"language": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>",
"ip": "<string>",
"birthDate": 123
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
},
"saveBeneficiary": true
}
'import requests
url = "https://gateway.7exchange.io/ipg/1.0.0/payment/pay-3d-secure"
payload = {
"amount": 123,
"currency": "<string>",
"merchantTransactionId": "<string>",
"customerId": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"orderDescriptor": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"terminalId": "<string>",
"merchantRedirectUrl": "<string>",
"notificationUrl": "<string>",
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>",
"language": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>",
"ip": "<string>",
"birthDate": 123
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
},
"saveBeneficiary": True
}
headers = {
"walletId": "<walletid>",
"tenantId": "<tenantid>",
"organizationId": "<organizationid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
walletId: '<walletid>',
tenantId: '<tenantid>',
organizationId: '<organizationid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 123,
currency: '<string>',
merchantTransactionId: '<string>',
customerId: '<string>',
orderType: '<string>',
sourceId: '<string>',
destinationId: '<string>',
orderDescriptor: '<string>',
paymentBrand: '<string>',
paymentMode: '<string>',
terminalId: '<string>',
merchantRedirectUrl: '<string>',
notificationUrl: '<string>',
shipping: {
country: '<string>',
city: '<string>',
state: '<string>',
postcode: '<string>',
street1: '<string>',
language: '<string>'
},
customer: {
telnocc: '<string>',
phone: '<string>',
email: '<string>',
givenName: '<string>',
surname: '<string>',
customerId: '<string>',
ip: '<string>',
birthDate: 123
},
card: {
number: '<string>',
expiryMonth: '<string>',
expiryYear: '<string>',
cvv: '<string>'
},
saveBeneficiary: true
})
};
fetch('https://gateway.7exchange.io/ipg/1.0.0/payment/pay-3d-secure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Merchant API
Post payment pay 3d secure
POST
/
payment
/
pay-3d-secure
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

